import { SColor, SPainter } from '@persagy-web/draw/lib';
import { SGraphView } from '@persagy-web/graph/lib';

/**
 * 拓扑图view
 *
 * @author  韩耀龙 <han_yao_long@163.com>
 */
export class PTopoView extends SGraphView {
	/**
	 * 绘制场景背景
	 *
	 * @param painter     绘制对象
	 */
	protected drawBackground(painter: SPainter): void {
		painter.brush.color = SColor.White;
		painter.pen.color = SColor.Transparent;
		painter.drawRect(0, 0, this.width, this.height);
	} // Function drawBackground()
}